import express from "express";
import {
  createClient,
  listClients,
  getClientById,
  updateClient,
  deleteClient,
} from "../controllers/clientController.js";

const router = express.Router();

router.post("/", createClient);
router.get("/", listClients);          // supports ?compact=true
router.get("/:id", getClientById);
router.put("/:id", updateClient);
router.delete("/:id", deleteClient);

export default router;
